deepfacelab中文论坛

 找回密码
 立即注册
楼主: aaa2002911

DFL常见报错答疑搜集贴,不定时更新

  [复制链接]

1

主题

152

帖子

900

积分

高级丹师

Rank: 5Rank: 5

积分
900
发表于 2022-1-25 02:45:29 | 显示全部楼层
XUEXIYIXIA
回复 支持 反对

使用道具 举报

1

主题

33

帖子

193

积分

高级丹童

Rank: 2

积分
193
发表于 2022-1-26 20:30:13 | 显示全部楼层

好东西,一直在找的报错汇总
回复 支持 反对

使用道具 举报

0

主题

6

帖子

163

积分

高级丹童

Rank: 2

积分
163
发表于 2022-1-27 12:10:31 | 显示全部楼层
初来乍到。学习中
回复 支持 反对

使用道具 举报

4

主题

77

帖子

907

积分

高级丹师

Rank: 5Rank: 5

积分
907
发表于 2022-1-27 16:41:16 | 显示全部楼层

厉害了,学习了
回复 支持 反对

使用道具 举报

4

主题

10

帖子

860

积分

高级丹师

Rank: 5Rank: 5

积分
860
发表于 2022-1-30 22:03:04 | 显示全部楼层
大佬,帮忙看看这是啥问题啊。重启了一下电脑,就不能训了
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "multiprocessing\spawn.py", line 105, in spawn_main
  File "multiprocessing\spawn.py", line 115, in _main
  File "multiprocessing\heap.py", line 55, in __setstate__
OSError: [WinError 1455] 页面文件太小,无法完成操作。
fatal   : Memory allocation failure
fatal   : Memory allocation failure
fatal   : Memory allocation failure
fatal   : Memory allocation failure
fatal   : Memory allocation failure
fatal   : Memory allocation failure
fatal   : Memory allocation failure
fatal   : Memory allocation failure
fatal   : Memory allocation failure
fatal   : Memory allocation failure
fatal   : Memory allocation failure
fatal   : Memory allocation failure
fatal   : Memory allocation failure
Error:
Traceback (most recent call last):
  File "E:\DeepFaceLab\DFL_maozhihanhua_RTX3000\_internal\python-3.6.8\lib\site-packages\tensorflow\python\client\session.py", line 1375, in _do_call
    return fn(*args)
  File "E:\DeepFaceLab\DFL_maozhihanhua_RTX3000\_internal\python-3.6.8\lib\site-packages\tensorflow\python\client\session.py", line 1360, in _run_fn
    target_list, run_metadata)
  File "E:\DeepFaceLab\DFL_maozhihanhua_RTX3000\_internal\python-3.6.8\lib\site-packages\tensorflow\python\client\session.py", line 1453, in _call_tf_sessionrun
    run_metadata)
tensorflow.python.framework.errors_impl.NotFoundError: 2 root error(s) found.
  (0) Not found: No algorithm worked!
         [[{{node Conv2D}}]]
         [[Sigmoid_3/_1377]]
  (1) Not found: No algorithm worked!
         [[{{node Conv2D}}]]
0 successful operations.
0 derived errors ignored.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "E:\DeepFaceLab\DFL_maozhihanhua_RTX3000\_internal\DeepFaceLab\models\ModelBase.py", line 269, in update_sample_for_preview
    self.get_history_previews()
  File "E:\DeepFaceLab\DFL_maozhihanhua_RTX3000\_internal\DeepFaceLab\models\ModelBase.py", line 389, in get_history_previews
    return self.onGetPreview (self.sample_for_preview, for_history=True)
  File "E:\DeepFaceLab\DFL_maozhihanhua_RTX3000\_internal\DeepFaceLab\models\Model_SAEHD\Model.py", line 789, in onGetPreview
    S, D, SS, DD, DDM, SD, SDM = [ np.clip( nn.to_data_format(x,"NHWC", self.model_data_format), 0.0, 1.0) for x in ([target_src,target_dst] self.AE_view (target_src, target_dst) ) ]
  File "E:\DeepFaceLab\DFL_maozhihanhua_RTX3000\_internal\DeepFaceLab\models\Model_SAEHD\Model.py", line 611, in AE_view
    self.warped_dst:warped_dst})
  File "E:\DeepFaceLab\DFL_maozhihanhua_RTX3000\_internal\python-3.6.8\lib\site-packages\tensorflow\python\client\session.py", line 968, in run
    run_metadata_ptr)
  File "E:\DeepFaceLab\DFL_maozhihanhua_RTX3000\_internal\python-3.6.8\lib\site-packages\tensorflow\python\client\session.py", line 1191, in _run
    feed_dict_tensor, options, run_metadata)
  File "E:\DeepFaceLab\DFL_maozhihanhua_RTX3000\_internal\python-3.6.8\lib\site-packages\tensorflow\python\client\session.py", line 1369, in _do_run
    run_metadata)
  File "E:\DeepFaceLab\DFL_maozhihanhua_RTX3000\_internal\python-3.6.8\lib\site-packages\tensorflow\python\client\session.py", line 1394, in _do_call
    raise type(e)(node_def, op, message)  # pylint: disable=no-value-for-parameter
tensorflow.python.framework.errors_impl.NotFoundError: 2 root error(s) found.
  (0) Not found: No algorithm worked!
         [[node Conv2D (defined at E:\DeepFaceLab\DFL_maozhihanhua_RTX3000\_internal\DeepFaceLab\core\leras\layers\Conv2D.py:101) ]]
         [[Sigmoid_3/_1377]]
  (1) Not found: No algorithm worked!
         [[node Conv2D (defined at E:\DeepFaceLab\DFL_maozhihanhua_RTX3000\_internal\DeepFaceLab\core\leras\layers\Conv2D.py:101) ]]
0 successful operations.
0 derived errors ignored.

Errors may have originated from an input operation.
Input Source operations connected to node Conv2D:
Pad_4 (defined at E:\DeepFaceLab\DFL_maozhihanhua_RTX3000\_internal\DeepFaceLab\core\leras\layers\Conv2D.py:87)

encoder/down1/downs_0/conv1/weight/read (defined at E:\DeepFaceLab\DFL_maozhihanhua_RTX3000\_internal\DeepFaceLab\core\leras\layers\Conv2D.py:61)

Input Source operations connected to node Conv2D:
Pad_4 (defined at E:\DeepFaceLab\DFL_maozhihanhua_RTX3000\_internal\DeepFaceLab\core\leras\layers\Conv2D.py:87)

encoder/down1/downs_0/conv1/weight/read (defined at E:\DeepFaceLab\DFL_maozhihanhua_RTX3000\_internal\DeepFaceLab\core\leras\layers\Conv2D.py:61)

Original stack trace for 'Conv2D':
  File "threading.py", line 884, in _bootstrap
  File "threading.py", line 916, in _bootstrap_inner
  File "threading.py", line 864, in run
  File "E:\DeepFaceLab\DFL_maozhihanhua_RTX3000\_internal\DeepFaceLab\mainscripts\Trainer.py", line 58, in trainerThread
    debug=debug)
  File "E:\DeepFaceLab\DFL_maozhihanhua_RTX3000\_internal\DeepFaceLab\models\ModelBase.py", line 199, in __init__
    self.on_initialize()
  File "E:\DeepFaceLab\DFL_maozhihanhua_RTX3000\_internal\DeepFaceLab\models\Model_SAEHD\Model.py", line 407, in on_initialize
    gpu_src_code     = self.inter(self.encoder(gpu_warped_src))
  File "E:\DeepFaceLab\DFL_maozhihanhua_RTX3000\_internal\DeepFaceLab\core\leras\models\ModelBase.py", line 117, in __call__
    return self.forward(*args, **kwargs)
  File "E:\DeepFaceLab\DFL_maozhihanhua_RTX3000\_internal\DeepFaceLab\core\leras\archis\DeepFakeArchi.py", line 119, in forward
    x = self.down1(x)
  File "E:\DeepFaceLab\DFL_maozhihanhua_RTX3000\_internal\DeepFaceLab\core\leras\models\ModelBase.py", line 117, in __call__
    return self.forward(*args, **kwargs)
  File "E:\DeepFaceLab\DFL_maozhihanhua_RTX3000\_internal\DeepFaceLab\core\leras\archis\DeepFakeArchi.py", line 63, in forward
    x = down(x)
  File "E:\DeepFaceLab\DFL_maozhihanhua_RTX3000\_internal\DeepFaceLab\core\leras\models\ModelBase.py", line 117, in __call__
    return self.forward(*args, **kwargs)
  File "E:\DeepFaceLab\DFL_maozhihanhua_RTX3000\_internal\DeepFaceLab\core\leras\archis\DeepFakeArchi.py", line 43, in forward
    x = self.conv1(x)
  File "E:\DeepFaceLab\DFL_maozhihanhua_RTX3000\_internal\DeepFaceLab\core\leras\layers\LayerBase.py", line 14, in __call__
    return self.forward(*args, **kwargs)
  File "E:\DeepFaceLab\DFL_maozhihanhua_RTX3000\_internal\DeepFaceLab\core\leras\layers\Conv2D.py", line 101, in forward
    x = tf.nn.conv2d(x, weight, strides, 'VALID', dilations=dilations, data_format=nn.data_format)
  File "E:\DeepFaceLab\DFL_maozhihanhua_RTX3000\_internal\python-3.6.8\lib\site-packages\tensorflow\python\util\dispatch.py", line 206, in wrapper
    return target(*args, **kwargs)
  File "E:\DeepFaceLab\DFL_maozhihanhua_RTX3000\_internal\python-3.6.8\lib\site-packages\tensorflow\python\ops\nn_ops.py", line 2397, in conv2d
    name=name)
  File "E:\DeepFaceLab\DFL_maozhihanhua_RTX3000\_internal\python-3.6.8\lib\site-packages\tensorflow\python\ops\gen_nn_ops.py", line 972, in conv2d
    data_format=data_format, dilations=dilations, name=name)
  File "E:\DeepFaceLab\DFL_maozhihanhua_RTX3000\_internal\python-3.6.8\lib\site-packages\tensorflow\python\framework\op_def_library.py", line 750, in _apply_op_helper
    attrs=attr_protos, op_def=op_def)
  File "E:\DeepFaceLab\DFL_maozhihanhua_RTX3000\_internal\python-3.6.8\lib\site-packages\tensorflow\python\framework\ops.py", line 3569, in _create_op_internal
    op_def=op_def)
  File "E:\DeepFaceLab\DFL_maozhihanhua_RTX3000\_internal\python-3.6.8\lib\site-packages\tensorflow\python\framework\ops.py", line 2045, in __init__
    self._traceback = tf_stack.extract_stack_for_node(self._c_op)


During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "E:\DeepFaceLab\DFL_maozhihanhua_RTX3000\_internal\DeepFaceLab\mainscripts\Trainer.py", line 58, in trainerThread
    debug=debug)
  File "E:\DeepFaceLab\DFL_maozhihanhua_RTX3000\_internal\DeepFaceLab\models\ModelBase.py", line 222, in __init__
    self.update_sample_for_preview(choose_preview_history=self.choose_preview_history)
  File "E:\DeepFaceLab\DFL_maozhihanhua_RTX3000\_internal\DeepFaceLab\models\ModelBase.py", line 271, in update_sample_for_preview
    self.sample_for_preview = self.generate_next_samples()
  File "E:\DeepFaceLab\DFL_maozhihanhua_RTX3000\_internal\DeepFaceLab\models\ModelBase.py", line 467, in generate_next_samples
    sample.append ( generator.generate_next() )
  File "E:\DeepFaceLab\DFL_maozhihanhua_RTX3000\_internal\DeepFaceLab\samplelib\SampleGeneratorBase.py", line 21, in generate_next
    self.last_generation = next(self)
  File "E:\DeepFaceLab\DFL_maozhihanhua_RTX3000\_internal\DeepFaceLab\samplelib\SampleGeneratorFace.py", line 112, in __next__
    return next(generator)
  File "E:\DeepFaceLab\DFL_maozhihanhua_RTX3000\_internal\DeepFaceLab\core\joblib\SubprocessGenerator.py", line 73, in __next__
    gen_data = self.cs_queue.get()
  File "multiprocessing\queues.py", line 94, in get
  File "multiprocessing\connection.py", line 216, in recv_bytes
  File "multiprocessing\connection.py", line 318, in _recv_bytes
  File "multiprocessing\connection.py", line 340, in _get_more_data
MemoryError
回复 支持 反对

使用道具 举报

9

主题

192

帖子

1872

积分

初级丹圣

Rank: 8Rank: 8

积分
1872

小有贡献

发表于 2022-2-2 09:05:28 | 显示全部楼层
牛人真的很多啊
回复 支持 反对

使用道具 举报

0

主题

3

帖子

90

积分

高级丹童

Rank: 2

积分
90
发表于 2022-2-2 10:42:21 | 显示全部楼层
哪位大佬知道导入模型Memory allocation failure是咋回事啊,40个g的虚拟内存还不够吗
回复 支持 反对

使用道具 举报

0

主题

63

帖子

390

积分

禁止发言

积分
390
发表于 2022-2-3 21:54:37 | 显示全部楼层
本帖最后由 linuvzg 于 2022-3-22 20:27 编辑

学习学习









冷氣 機 滴水 法例
真係唔講唔知,經向冷氣通查問之後又長知識了,大家也來看看!



回复 支持 反对

使用道具 举报

0

主题

215

帖子

1413

积分

初级丹圣

Rank: 8Rank: 8

积分
1413
发表于 2022-2-4 07:07:54 | 显示全部楼层
感谢分享
回复

使用道具 举报

0

主题

3

帖子

432

积分

初级丹师

Rank: 3Rank: 3

积分
432
发表于 2022-2-4 14:17:20 | 显示全部楼层
kimking 发表于 2021-10-18 19:33
请问第一次 train SAEHD的时候出现这个

Could not load library cudnn_ops_infer64_8.dll. Error code 145 ...

找到原因了吗,我也是这个问题
回复 支持 反对

使用道具 举报

QQ|Archiver|手机版|小黑屋|deepfacelab中文论坛  |网站地图

GMT+8, 2022-5-23 18:19 , Processed in 0.074388 second(s), 10 queries , redis On.

Powered by Discuz! X3.2

Copyright © 2001-2020, Tencent Cloud.

快速回复 返回顶部 返回列表